CREATE TABLE bm_pricing_option (
    ID                       NUMBER(18, 0) ,
    VARIABLE_NAME            VARCHAR2(512)     NOT NULL,
    CATEGORY                 NUMBER(1, 0)      NOT NULL,
    FUNCTIONAL_AREA          NUMBER(1, 0)      NOT NULL,
    ENABLED                  NUMBER(1, 0)      NOT NULL,
    VALUE                    VARCHAR2(1020),
    HIDDEN                   NUMBER(1, 0)      NOT NULL,
    READ_ONLY                NUMBER(1, 0)      NOT NULL,
    DISPLAY_NAME             VARCHAR2(1020)    NOT NULL,
    DESCRIPTION              VARCHAR2(4000)    NOT NULL,
    DATE_ADDED               DATE              NOT NULL,
    DATE_MODIFIED            DATE              NOT NULL,
    USER_ADDED_ID            NUMBER(18, 0)     NOT NULL,
    USER_MODIFIED_ID         NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    ID                       NUMBER(18, 0) ,
    VARIABLE_NAME            VARCHAR2(512)     NOT NULL,
    CATEGORY                 NUMBER(1, 0)      NOT NULL,
    FUNCTIONAL_AREA          NUMBER(1, 0)      NOT NULL,
    ENABLED                  NUMBER(1, 0)      NOT NULL,
    VALUE                    VARCHAR2(1020),
    HIDDEN                   NUMBER(1, 0)      NOT NULL,
    READ_ONLY                NUMBER(1, 0)      NOT NULL,
    DISPLAY_NAME             VARCHAR2(1020)    NOT NULL,
    DESCRIPTION              VARCHAR2(4000)    NOT NULL,
    DATE_ADDED               DATE              NOT NULL,
    DATE_MODIFIED            DATE              NOT NULL,
    USER_ADDED_ID            NUMBER(18, 0)     NOT NULL,
    USER_MODIFIED_ID         NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_bm_pricing_option PRIMARY KEY (ID, ID)
);
